manifest: Update libical version

Latest E-D-S requires a newer version, so the build is failing for
missing dependency (thank's to Niels De Graef)
6 jobs for mWork in 25 minutes and 28 seconds (queued for 1 second)
latest
Status Job ID Name Coverage
  Build
passed #305229
fedora

00:10:59

passed #305230
ubuntu

00:12:31

 
  Test
passed #305365
flatpak

00:12:27

failed #305231
flatpak

01:00:01

 
  Deploy
passed #305232
review

00:00:29

manual #305233
allowed to fail manual
stop_review